Update Functest to OpenStack stable/pike 19/46719/1
authorCédric Ollivier <cedric.ollivier@orange.com>
Sun, 5 Nov 2017 12:51:56 +0000 (13:51 +0100)
committerCédric Ollivier <cedric.ollivier@orange.com>
Sun, 5 Nov 2017 13:02:55 +0000 (14:02 +0100)
It updates setup.py, (test-)requirement.txt and upper-constraints.txt
according to OpenStack requirements [1].

It disables all Features testcases as they are not synchronized with
OpenStack stable/pike yet [2].

The docker functest-parser is simplified as it can be based on
functest-core as both Functest and Parser leverage on OpenStack
stable/pike.

ODL_TAG and REFSTACK_TAG variables are set to master again.

[1] http://git.openstack.org/cgit/openstack/requirements/log/?h=stable/pike
[2] https://wiki.opnfv.org/display/functest/Requirements+management

Change-Id: I23fa84f35244c1f4026abd89414b99576f042ee4
Signed-off-by: Cédric Ollivier <cedric.ollivier@orange.com>
14 files changed:
docker/core/Dockerfile
docker/features/Dockerfile
docker/features/testcases.yaml
docker/features/thirdparty-requirements.txt
docker/parser/Dockerfile
docker/parser/hooks/post_checkout [new file with mode: 0644]
docker/restapi/Dockerfile
docker/restapi/thirdparty-requirements.txt
docker/smoke/Dockerfile
functest/ci/testcases.yaml
requirements.txt
setup.py
test-requirements.txt
tox.ini

index 1cf0c85..91c0468 100644 (file)
@@ -1,7 +1,7 @@
 FROM alpine:3.6
 
 ARG BRANCH=master
 FROM alpine:3.6
 
 ARG BRANCH=master
-ARG OPENSTACK_TAG=stable/ocata
+ARG OPENSTACK_TAG=stable/pike
 ARG RALLY_TAG=stable/0.10
 ARG OS_FAULTS_TAG=0.1.16
 
 ARG RALLY_TAG=stable/0.10
 ARG OS_FAULTS_TAG=0.1.16
 
@@ -13,7 +13,6 @@ RUN apk --no-cache add --update \
         openssl-dev libjpeg-turbo-dev && \
     wget -q -O- https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=$OPENSTACK_TAG | \
         sed -E s/^tempest==+\(.*\)$/-e\ git+https:\\/\\/github.com\\/openstack\\/tempest@\\1#egg=tempest/ | \
         openssl-dev libjpeg-turbo-dev && \
     wget -q -O- https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=$OPENSTACK_TAG | \
         sed -E s/^tempest==+\(.*\)$/-e\ git+https:\\/\\/github.com\\/openstack\\/tempest@\\1#egg=tempest/ | \
-        sed s/^requests===.*$/requests===2.13.0/ \
         > upper-constraints.txt && \
     pip install --no-cache-dir --src /src -cupper-constraints.txt \
         -chttps://git.opnfv.org/functest/plain/upper-constraints.txt?h=$BRANCH \
         > upper-constraints.txt && \
     pip install --no-cache-dir --src /src -cupper-constraints.txt \
         -chttps://git.opnfv.org/functest/plain/upper-constraints.txt?h=$BRANCH \
index ce2210e..0d53655 100644 (file)
@@ -1,7 +1,7 @@
 FROM opnfv/functest-core
 
 ARG BRANCH=master
 FROM opnfv/functest-core
 
 ARG BRANCH=master
-ARG OPENSTACK_TAG=stable/ocata
+ARG OPENSTACK_TAG=stable/pike
 
 COPY thirdparty-requirements.txt thirdparty-requirements.txt
 RUN apk --no-cache add --update nodejs nodejs-npm python3 sshpass && \
 
 COPY thirdparty-requirements.txt thirdparty-requirements.txt
 RUN apk --no-cache add --update nodejs nodejs-npm python3 sshpass && \
@@ -10,7 +10,6 @@ RUN apk --no-cache add --update nodejs nodejs-npm python3 sshpass && \
         openssl-dev libjpeg-turbo-dev && \
     wget -q -O- https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=$OPENSTACK_TAG | \
         sed -E s/^tempest==+\(.*\)$/-e\ git+https:\\/\\/github.com\\/openstack\\/tempest@\\1#egg=tempest/ | \
         openssl-dev libjpeg-turbo-dev && \
     wget -q -O- https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=$OPENSTACK_TAG | \
         sed -E s/^tempest==+\(.*\)$/-e\ git+https:\\/\\/github.com\\/openstack\\/tempest@\\1#egg=tempest/ | \
-        sed s/^requests===.*$/requests===2.13.0/ \
         > upper-constraints.txt && \
     pip install --no-cache-dir --src /src -cupper-constraints.txt \
         -chttps://git.opnfv.org/functest/plain/upper-constraints.txt?h=$BRANCH \
         > upper-constraints.txt && \
     pip install --no-cache-dir --src /src -cupper-constraints.txt \
         -chttps://git.opnfv.org/functest/plain/upper-constraints.txt?h=$BRANCH \
@@ -19,7 +18,8 @@ RUN apk --no-cache add --update nodejs nodejs-npm python3 sshpass && \
         -chttps://git.opnfv.org/functest/plain/upper-constraints.txt?h=$BRANCH \
         doctor-tests && \
     npm -g install npm@latest && \
         -chttps://git.opnfv.org/functest/plain/upper-constraints.txt?h=$BRANCH \
         doctor-tests && \
     npm -g install npm@latest && \
-    (cd /src/promise/source && npm install) && \
+    # the next line must be uncommented as soon as promise is synced with pike
+    # (cd /src/promise/source && npm install) && \
     rm -r upper-constraints.txt thirdparty-requirements.txt && \
     apk del .build-deps
 COPY testcases.yaml /usr/lib/python2.7/site-packages/functest/ci/testcases.yaml
     rm -r upper-constraints.txt thirdparty-requirements.txt && \
     apk del .build-deps
 COPY testcases.yaml /usr/lib/python2.7/site-packages/functest/ci/testcases.yaml
index b9e6ebb..5c72a29 100644 (file)
@@ -10,6 +10,7 @@ tiers:
             -
                 case_name: promise
                 project_name: promise
             -
                 case_name: promise
                 project_name: promise
+                enabled: false
                 criteria: 100
                 blocking: false
                 description: >-
                 criteria: 100
                 blocking: false
                 description: >-
@@ -26,6 +27,7 @@ tiers:
             -
                 case_name: doctor-notification
                 project_name: doctor
             -
                 case_name: doctor-notification
                 project_name: doctor
+                enabled: false
                 criteria: 100
                 blocking: false
                 description: >-
                 criteria: 100
                 blocking: false
                 description: >-
@@ -42,6 +44,7 @@ tiers:
             -
                 case_name: bgpvpn
                 project_name: sdnvpn
             -
                 case_name: bgpvpn
                 project_name: sdnvpn
+                enabled: false
                 criteria: 100
                 blocking: false
                 description: >-
                 criteria: 100
                 blocking: false
                 description: >-
@@ -56,6 +59,7 @@ tiers:
             -
                 case_name: functest-odl-sfc
                 project_name: sfc
             -
                 case_name: functest-odl-sfc
                 project_name: sfc
+                enabled: false
                 criteria: 100
                 blocking: false
                 description: >-
                 criteria: 100
                 blocking: false
                 description: >-
@@ -72,6 +76,7 @@ tiers:
             -
                 case_name: domino-multinode
                 project_name: domino
             -
                 case_name: domino-multinode
                 project_name: domino
+                enabled: false
                 criteria: 100
                 blocking: false
                 description: >-
                 criteria: 100
                 blocking: false
                 description: >-
@@ -88,6 +93,7 @@ tiers:
             -
                 case_name: barometercollectd
                 project_name: barometer
             -
                 case_name: barometercollectd
                 project_name: barometer
+                enabled: false
                 criteria: 100
                 blocking: false
                 description: >-
                 criteria: 100
                 blocking: false
                 description: >-
index 618f750..62b2e9d 100644 (file)
@@ -1,6 +1,6 @@
-baro_tests
-sdnvpn
-sfc
-promise
-doctor-tests;python_version>='3.0'
-domino
+baro_tests
+sdnvpn
+sfc
+promise
+doctor-tests;python_version>='3.0'
+domino
index 6ab0d87..c98850c 100644 (file)
@@ -1,4 +1,4 @@
-FROM alpine:3.6
+FROM opnfv/functest-core
 
 ARG BRANCH=master
 ARG OPENSTACK_TAG=stable/pike
 
 ARG BRANCH=master
 ARG OPENSTACK_TAG=stable/pike
@@ -12,31 +12,14 @@ RUN apk --no-cache add --update \
         python-dev build-base linux-headers libffi-dev \
         openssl-dev libjpeg-turbo-dev && \
     wget -q -O- https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=$OPENSTACK_TAG | \
         python-dev build-base linux-headers libffi-dev \
         openssl-dev libjpeg-turbo-dev && \
     wget -q -O- https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=$OPENSTACK_TAG | \
-        sed /^heat-translator=/d | sed /^tosca-parser=/d | \
         sed -E s/^tempest==+\(.*\)$/-e\ git+https:\\/\\/github.com\\/openstack\\/tempest@\\1#egg=tempest/ | \
         sed -E s/^tempest==+\(.*\)$/-e\ git+https:\\/\\/github.com\\/openstack\\/tempest@\\1#egg=tempest/ | \
-        sed s/^requests===.*$/requests===2.13.0/ \
         > upper-constraints.txt && \
     pip install --no-cache-dir --src /src -cupper-constraints.txt \
         -chttps://git.opnfv.org/functest/plain/upper-constraints.txt?h=$BRANCH \
         > upper-constraints.txt && \
     pip install --no-cache-dir --src /src -cupper-constraints.txt \
         -chttps://git.opnfv.org/functest/plain/upper-constraints.txt?h=$BRANCH \
-        -e git+https://github.com/openstack/requirements@$OPENSTACK_TAG#egg=openstack_requirements && \
-    git clone --depth 1 https://github.com/openstack/os-faults.git -b $OS_FAULTS_TAG /src/os-faults && \
-    update-requirements -s --source /src/openstack-requirements /src/os-faults/ && \
-    git clone --depth 1 https://github.com/openstack/rally.git -b $RALLY_TAG /src/rally && \
-    update-requirements -s --source /src/openstack-requirements /src/rally/ && \
-    pip install --no-cache-dir --src /src -cupper-constraints.txt \
-        -chttps://git.opnfv.org/functest/plain/upper-constraints.txt?h=$BRANCH \
-        /src/os-faults /src/rally && \
-    pip install --no-cache-dir --src /src -cupper-constraints.txt \
-        -chttps://git.opnfv.org/functest/plain/upper-constraints.txt?h=$BRANCH \
-        git+https://gerrit.opnfv.org/gerrit/functest@$BRANCH#egg=functest \
         git+https://gerrit.opnfv.org/gerrit/parser#egg=nfv-heattranslator\&subdirectory=tosca2heat/heat-translator \
         git+https://gerrit.opnfv.org/gerrit/parser#egg=nfv-toscaparser\&subdirectory=tosca2heat/tosca-parser \
         -e git+https://gerrit.opnfv.org/gerrit/parser#egg=nfv-parser && \
         git+https://gerrit.opnfv.org/gerrit/parser#egg=nfv-heattranslator\&subdirectory=tosca2heat/heat-translator \
         git+https://gerrit.opnfv.org/gerrit/parser#egg=nfv-toscaparser\&subdirectory=tosca2heat/tosca-parser \
         -e git+https://gerrit.opnfv.org/gerrit/parser#egg=nfv-parser && \
-    rm -r upper-constraints.txt /src/os-faults/.git /src/rally/.git && \
-    mkdir -p /etc/rally && \
-    printf "[database]\nconnection = 'sqlite:////var/lib/rally/database/rally.sqlite'" > /etc/rally/rally.conf && \
-    mkdir -p /var/lib/rally/database && rally-manage db create && \
-    bash -c "mkdir -p /home/opnfv/functest{/conf,/data,/images,/results} /home/opnfv/repos/vnfs" && \
+    rm upper-constraints.txt && \
     apk del .build-deps
 COPY testcases.yaml /usr/lib/python2.7/site-packages/functest/ci/testcases.yaml
 CMD ["bash","-c","prepare_env start && run_tests -t all"]
     apk del .build-deps
 COPY testcases.yaml /usr/lib/python2.7/site-packages/functest/ci/testcases.yaml
 CMD ["bash","-c","prepare_env start && run_tests -t all"]
diff --git a/docker/parser/hooks/post_checkout b/docker/parser/hooks/post_checkout
new file mode 100644 (file)
index 0000000..8d0e981
--- /dev/null
@@ -0,0 +1,6 @@
+#!/bin/bash
+
+from="${DOCKER_REPO%/*}/functest-core:${DOCKER_TAG}"
+sed -i "s|^FROM.*$|FROM ${from}|" Dockerfile
+
+exit $?
index 602e19c..a74e8a8 100644 (file)
@@ -1,10 +1,10 @@
 FROM opnfv/functest-core
 
 ARG BRANCH=master
 FROM opnfv/functest-core
 
 ARG BRANCH=master
-ARG OPENSTACK_TAG=stable/ocata
-ARG ODL_TAG=e12ba90cd27577c4c6c70ee54f7d599b5f6777ba
+ARG OPENSTACK_TAG=stable/pike
+ARG ODL_TAG=master
 ARG FDS_TAG=master
 ARG FDS_TAG=master
-ARG REFSTACK_TAG=4e187b07672dd1c41cb7c94658f1c91edebf53a2
+ARG REFSTACK_TAG=master
 ARG VIMS_TAG=stable
 
 COPY thirdparty-requirements.txt thirdparty-requirements.txt
 ARG VIMS_TAG=stable
 
 COPY thirdparty-requirements.txt thirdparty-requirements.txt
@@ -17,7 +17,6 @@ RUN apk --no-cache add --update nodejs nodejs-npm python3 sshpass \
         ruby-dev g++ make libxslt-dev libxml2-dev zlib-dev libffi-dev && \
     wget -q -O- https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=$OPENSTACK_TAG | \
         sed -E s/^tempest==+\(.*\)$/-e\ git+https:\\/\\/github.com\\/openstack\\/tempest@\\1#egg=tempest/ | \
         ruby-dev g++ make libxslt-dev libxml2-dev zlib-dev libffi-dev && \
     wget -q -O- https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=$OPENSTACK_TAG | \
         sed -E s/^tempest==+\(.*\)$/-e\ git+https:\\/\\/github.com\\/openstack\\/tempest@\\1#egg=tempest/ | \
-        sed s/^requests===.*$/requests===2.13.0/ \
         > upper-constraints.txt && \
     git clone https://github.com/openstack/refstack-client.git /src/refstack-client && \
     (cd src/refstack-client && git checkout $REFSTACK_TAG) && \
         > upper-constraints.txt && \
     git clone https://github.com/openstack/refstack-client.git /src/refstack-client && \
     (cd src/refstack-client && git checkout $REFSTACK_TAG) && \
@@ -34,7 +33,8 @@ RUN apk --no-cache add --update nodejs nodejs-npm python3 sshpass \
     git clone --depth 1 -b $VIMS_TAG https://github.com/boucherv-orange/clearwater-live-test /src/vims-test && \
     ln -s /src/tempest /src/refstack-client/.tempest && \
     virtualenv --system-site-packages /src/tempest/.venv && \
     git clone --depth 1 -b $VIMS_TAG https://github.com/boucherv-orange/clearwater-live-test /src/vims-test && \
     ln -s /src/tempest /src/refstack-client/.tempest && \
     virtualenv --system-site-packages /src/tempest/.venv && \
-    (cd /src/promise/source && npm install) && \
+    # the next line must be uncommented as soon as promise is synced with pike
+    # (cd /src/promise/source && npm install) && \
     (cd /src/vims-test && bundle config build.nokogiri --use-system-libraries && bundle install --system) && \
     npm -g install npm@latest && \
     rm -r upper-constraints.txt thirdparty-requirements.txt /src/refstack-client/.git /src/odl_test/.git \
     (cd /src/vims-test && bundle config build.nokogiri --use-system-libraries && bundle install --system) && \
     npm -g install npm@latest && \
     rm -r upper-constraints.txt thirdparty-requirements.txt /src/refstack-client/.git /src/odl_test/.git \
index 618f750..4f2c1e1 100644 (file)
@@ -1,6 +1,6 @@
-baro_tests
-sdnvpn
-sfc
-promise
-doctor-tests;python_version>='3.0'
-domino
+baro_tests
+sdnvpn
+sfc
+promise
+doctor-tests;python_version>='3.0'
+domino
index 7e12fa8..ae56a6c 100644 (file)
@@ -1,17 +1,16 @@
 FROM opnfv/functest-core
 
 ARG BRANCH=master
 FROM opnfv/functest-core
 
 ARG BRANCH=master
-ARG OPENSTACK_TAG=stable/ocata
-ARG ODL_TAG=e12ba90cd27577c4c6c70ee54f7d599b5f6777ba
+ARG OPENSTACK_TAG=stable/pike
+ARG ODL_TAG=master
 ARG FDS_TAG=master
 ARG FDS_TAG=master
-ARG REFSTACK_TAG=4e187b07672dd1c41cb7c94658f1c91edebf53a2
+ARG REFSTACK_TAG=master
 
 RUN apk --no-cache add --virtual .build-deps --update \
         python-dev build-base linux-headers libffi-dev \
         openssl-dev libjpeg-turbo-dev git && \
     wget -q -O- https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=$OPENSTACK_TAG | \
         sed -E s/^tempest==+\(.*\)$/-e\ git+https:\\/\\/github.com\\/openstack\\/tempest@\\1#egg=tempest/ | \
 
 RUN apk --no-cache add --virtual .build-deps --update \
         python-dev build-base linux-headers libffi-dev \
         openssl-dev libjpeg-turbo-dev git && \
     wget -q -O- https://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=$OPENSTACK_TAG | \
         sed -E s/^tempest==+\(.*\)$/-e\ git+https:\\/\\/github.com\\/openstack\\/tempest@\\1#egg=tempest/ | \
-        sed s/^requests===.*$/requests===2.13.0/ \
         > upper-constraints.txt && \
     git clone https://github.com/openstack/refstack-client.git /src/refstack-client && \
     (cd src/refstack-client && git checkout $REFSTACK_TAG) && \
         > upper-constraints.txt && \
     git clone https://github.com/openstack/refstack-client.git /src/refstack-client && \
     (cd src/refstack-client && git checkout $REFSTACK_TAG) && \
index 207d747..6e3c971 100644 (file)
@@ -238,6 +238,7 @@ tiers:
             -
                 case_name: promise
                 project_name: promise
             -
                 case_name: promise
                 project_name: promise
+                enabled: false
                 criteria: 100
                 blocking: false
                 description: >-
                 criteria: 100
                 blocking: false
                 description: >-
@@ -254,6 +255,7 @@ tiers:
             -
                 case_name: doctor-notification
                 project_name: doctor
             -
                 case_name: doctor-notification
                 project_name: doctor
+                enabled: false
                 criteria: 100
                 blocking: false
                 description: >-
                 criteria: 100
                 blocking: false
                 description: >-
@@ -270,6 +272,7 @@ tiers:
             -
                 case_name: bgpvpn
                 project_name: sdnvpn
             -
                 case_name: bgpvpn
                 project_name: sdnvpn
+                enabled: false
                 criteria: 100
                 blocking: false
                 description: >-
                 criteria: 100
                 blocking: false
                 description: >-
@@ -284,6 +287,7 @@ tiers:
             -
                 case_name: functest-odl-sfc
                 project_name: sfc
             -
                 case_name: functest-odl-sfc
                 project_name: sfc
+                enabled: false
                 criteria: 100
                 blocking: false
                 description: >-
                 criteria: 100
                 blocking: false
                 description: >-
@@ -300,6 +304,7 @@ tiers:
             -
                 case_name: domino-multinode
                 project_name: domino
             -
                 case_name: domino-multinode
                 project_name: domino
+                enabled: false
                 criteria: 100
                 blocking: false
                 description: >-
                 criteria: 100
                 blocking: false
                 description: >-
@@ -316,6 +321,7 @@ tiers:
             -
                 case_name: barometercollectd
                 project_name: barometer
             -
                 case_name: barometercollectd
                 project_name: barometer
+                enabled: false
                 criteria: 100
                 blocking: false
                 description: >-
                 criteria: 100
                 blocking: false
                 description: >-
index d4a0377..32e3545 100644 (file)
@@ -1,14 +1,14 @@
-pbr>=1.8 # Apache-2.0
+pbr!=2.1.0,>=2.0.0 # Apache-2.0
 PyYAML>=3.10.0 # MIT
 GitPython>=1.0.1 # BSD License (3 clause)
 PyYAML>=3.10.0 # MIT
 GitPython>=1.0.1 # BSD License (3 clause)
-keystoneauth1>=2.18.0 # Apache-2.0
-python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
-python-glanceclient>=2.5.0 # Apache-2.0
+keystoneauth1>=3.1.0 # Apache-2.0
+python-cinderclient>=3.1.0 # Apache-2.0
+python-glanceclient>=2.8.0 # Apache-2.0
 python-heatclient>=1.6.1 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
 python-heatclient>=1.6.1 # Apache-2.0
 python-keystoneclient>=3.8.0 # Apache-2.0
-python-neutronclient>=5.1.0 # Apache-2.0
-python-novaclient!=7.0.0,>=6.0.0 # Apache-2.0
-requests!=2.12.2,>=2.10.0 # Apache-2.0
+python-neutronclient>=6.3.0 # Apache-2.0
+python-novaclient>=9.0.0 # Apache-2.0
+requests>=2.14.2 # Apache-2.0
 robotframework>=3.0
 robotframework-httplibrary
 robotframework-requests
 robotframework>=3.0
 robotframework-httplibrary
 robotframework-requests
@@ -29,12 +29,12 @@ PrettyTable<0.8,>=0.7.1 # BSD
 six>=1.9.0 # MIT
 opnfv
 snaps
 six>=1.9.0 # MIT
 opnfv
 snaps
-tempest>=12.1.0 # Apache-2.0
+tempest>=16.1.0 # Apache-2.0
 rally
 rally
-SQLAlchemy<1.1.0,>=1.0.10 # MIT
+SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 paramiko>=2.0 # LGPLv2.1+
 Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
 paramiko>=2.0 # LGPLv2.1+
 Jinja2!=2.9.0,!=2.9.1,!=2.9.2,!=2.9.3,!=2.9.4,>=2.8 # BSD License (3 clause)
-urllib3>=1.15.1 # MIT
+urllib3>=1.21.1 # MIT
 httplib2>=0.7.5 # MIT
 httplib2>=0.7.5 # MIT
-oslo.serialization>=1.10.0 # Apache-2.0
-oslo.utils>=3.18.0 # Apache-2.0
+oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
+oslo.utils>=3.20.0 # Apache-2.0
index a52d905..b9af657 100644 (file)
--- a/setup.py
+++ b/setup.py
@@ -20,5 +20,5 @@ except ImportError:
     pass
 
 setuptools.setup(
     pass
 
 setuptools.setup(
-    setup_requires=['pbr>=1.8'],
+    setup_requires=['pbr>=2.0.0'],
     pbr=True)
     pbr=True)
index f22863c..aeb0ecb 100644 (file)
@@ -1,6 +1,6 @@
-coverage>=4.0 # Apache-2.0
+coverage!=4.4,>=4.0 # Apache-2.0
 mock>=2.0 # BSD
 nose # LGPL
 flake8<2.6.0,>=2.5.4 # MIT
 pylint==1.4.5 # GPLv2
 mock>=2.0 # BSD
 nose # LGPL
 flake8<2.6.0,>=2.5.4 # MIT
 pylint==1.4.5 # GPLv2
-sphinx!=1.3b1,<1.4,>=1.2.1 # BSD
+sphinx>=1.6.2 # BSD
diff --git a/tox.ini b/tox.ini
index 81d5e28..978b3f6 100644 (file)
--- a/tox.ini
+++ b/tox.ini
@@ -5,10 +5,10 @@ envlist = docs,pep8,pylint,py35,py27,perm,aarch64
 usedevelop = True
 deps =
   -c{toxinidir}/upper-constraints.txt
 usedevelop = True
 deps =
   -c{toxinidir}/upper-constraints.txt
-  -chttps://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=stable/ocata
+  -chttps://git.openstack.org/cgit/openstack/requirements/plain/upper-constraints.txt?h=stable/pike
   -r{toxinidir}/requirements.txt
   -r{toxinidir}/test-requirements.txt
   -r{toxinidir}/requirements.txt
   -r{toxinidir}/test-requirements.txt
-install_command = pip install {opts} {packages} requests===2.13.0
+install_command = pip install {opts} {packages}
 commands = nosetests --with-xunit \
   --with-coverage \
   --cover-tests \
 commands = nosetests --with-xunit \
   --with-coverage \
   --cover-tests \